summaryrefslogtreecommitdiff
path: root/tests/failures/chgpasswd/04_chgpasswd-e_rename_gshadow_failure/chgpasswd.test
diff options
context:
space:
mode:
Diffstat (limited to 'tests/failures/chgpasswd/04_chgpasswd-e_rename_gshadow_failure/chgpasswd.test')
-rwxr-xr-xtests/failures/chgpasswd/04_chgpasswd-e_rename_gshadow_failure/chgpasswd.test55
1 files changed, 0 insertions, 55 deletions
diff --git a/tests/failures/chgpasswd/04_chgpasswd-e_rename_gshadow_failure/chgpasswd.test b/tests/failures/chgpasswd/04_chgpasswd-e_rename_gshadow_failure/chgpasswd.test
deleted file mode 100755
index 135f912f..00000000
--- a/tests/failures/chgpasswd/04_chgpasswd-e_rename_gshadow_failure/chgpasswd.test
+++ /dev/null
@@ -1,55 +0,0 @@
-#!/bin/sh
-
-set -e
-
-cd $(dirname $0)
-
-. ../../../common/config.sh
-. ../../../common/log.sh
-
-log_start "$0" "chgpasswd reports failure to write /etc/gshadow"
-
-save_config
-
-# restore the files on exit
-trap 'log_status "$0" "FAILURE"; restore_config' 0
-
-change_config
-
-echo -n "Change passwords (chgpasswd -e)..."
-echo 'nogroup:test
-lp:test2' | LD_PRELOAD=../../../common/rename_failure.so FAILURE_PATH=/etc/gshadow chgpasswd -e 2>tmp/chgpasswd.err && exit 1 || {
- status=$?
-}
-echo "OK"
-
-echo -n "Check returned status ($status)..."
-test "$status" = "1"
-echo "OK"
-
-echo "chgpasswd reported:"
-echo "======================================================================="
-cat tmp/chgpasswd.err
-echo "======================================================================="
-echo -n "Check that there were a failure message..."
-diff -au data/chgpasswd.err tmp/chgpasswd.err
-echo "error message OK."
-rm -f tmp/chgpasswd.err
-
-echo -n "Check the passwd file..."
-../../../common/compare_file.pl config/etc/passwd /etc/passwd
-echo "OK"
-echo -n "Check the group file..."
-../../../common/compare_file.pl config/etc/group /etc/group
-echo "OK"
-echo -n "Check the shadow file..."
-../../../common/compare_file.pl config/etc/shadow /etc/shadow
-echo "OK"
-echo -n "Check the gshadow file..."
-../../../common/compare_file.pl config/etc/gshadow /etc/gshadow
-echo "OK"
-
-log_status "$0" "SUCCESS"
-restore_config
-trap '' 0
-